Find and Replace in Vue Spreadsheet

14 Aug 20269 minutes to read

Find and Replace helps you to search for the target text and replace the found text with alternative text within the sheet or workbook. You can use the allowFindAndReplace property to enable or disable the Find and Replace functionality.

  • The default value for allowFindAndReplace property is true.

Find

Find feature is used to select the matched contents of a cell within the sheet or workbook. It is extremely useful when working with large set of data source.

User Interface:

Find can be done by any of the following ways:

  • Select the Search icon in the Ribbon toolbar or use Ctrl + F key to open the Find dialog.
  • Use find Next and find Previous buttons to search the given value in the workbook.
  • Select the option button in Find dialog to open the Find and Replace dialog. Then, select the below properties for enhanced searching.

    • Search within: To search the target in a sheet (default) or in an entire workbook.
    • Search by: It enhance the search, either By Rows (default), or By Columns.
    • Match case: To find the matched value with case sensitive.
    • Match exact cell contents: To find the exact matched cell value with entire match cases.
  • Using find() method to perform find operation.

Replace

Replace feature is used to change the find contents of a cell within sheet or workbook. Replace All is used to change all the matched contents of a cell within sheet or workbook.

User Interface:

Replace can be done by any of the following ways:

  • Use Ctrl + H key to open the Find and Replace dialog.
  • Use Replace button to change the found value in sheet or workbook.
  • Using Replace All button, all the matched criteria can be replaced with find value based on sheet or workbook.
  • Using replace() method to perform replace operation by passing the argument args.replaceby as replace.
  • Using replace() method to perform replace all operation by passing the argument args.replaceby as replaceall.

Go to

Go to feature is used to navigate to a specific cell address in the sheet or workbook.

User Interface:

  • Use Ctrl + G key to open the Go To dialog.
  • Use goTo() method to perform Go To operation.

    In the following sample, searching can be done by following ways:

  • Select the Home tab in the Ribbon toolbar, and then select the Search icon.
  • Enter any value in the search textbox.
  • Select the Next or Previous button to find the entered value in the spreadsheet.
  • You can have more options to find values by selecting the more options in the search toolbar.
<template>
  <ejs-spreadsheet ref="spreadsheet" :created="created" :showFormulaBar="false">
    <e-sheets>
      <e-sheet name="Price Details">
        <e-ranges>
          <e-range :dataSource="dataSource1"></e-range>
        </e-ranges>
        <e-columns>
          <e-column :width="100"></e-column>
          <e-column :width="100"></e-column>
          <e-column :width="100"></e-column>
          <e-column :width="100"></e-column>
        </e-columns>
      </e-sheet>
      <e-sheet name="Budget Details">
        <e-ranges>
          <e-range :dataSource="dataSource2"></e-range>
        </e-ranges>
        <e-columns>
          <e-column :width="100"></e-column>
          <e-column :width="100"></e-column>
          <e-column :width="100"></e-column>
          <e-column :width="100"></e-column>
        </e-columns>
      </e-sheet>
    </e-sheets>
  </ejs-spreadsheet>
</template>

<script setup>
import { ref } from "vue";
import { SpreadsheetComponent as EjsSpreadsheet, ColumnsDirective as EColumns, ColumnDirective as EColumn, RangesDirective as ERanges, RangeDirective as ERange, SheetsDirective as ESheets, SheetDirective as ESheet } from "@syncfusion/ej2-vue-spreadsheet";
import { priceData, budgetData } from './data.js';

const spreadsheet = ref(null);
const dataSource1 = priceData;
const dataSource2 = budgetData;

const created = function () {
  spreadsheet.value.cellFormat({ fontWeight: 'bold', textAlign: 'center' }, 'A1:H1');
  spreadsheet.value.cellFormat({ fontWeight: 'bold', textAlign: 'center' }, 'Budget Details!A1:D1');
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-grids/styles/tailwind3.css';
@import "../node_modules/@syncfusion/ej2-vue-spreadsheet/styles/tailwind3.css";
</style>
<template>
  <ejs-spreadsheet ref="spreadsheet" :created="created" :showFormulaBar="false">
    <e-sheets>
      <e-sheet name="Price Details">
        <e-ranges>
          <e-range :dataSource="dataSource1"></e-range>
        </e-ranges>
        <e-columns>
          <e-column :width=100></e-column>
          <e-column :width=100></e-column>
          <e-column :width=100></e-column>
          <e-column :width=100></e-column>
        </e-columns>
      </e-sheet>
      <e-sheet name="Budget Details">
        <e-ranges>
          <e-range :dataSource="dataSource2"></e-range>
        </e-ranges>
        <e-columns>
          <e-column :width=100></e-column>
          <e-column :width=100></e-column>
          <e-column :width=100></e-column>
          <e-column :width=100></e-column>
        </e-columns>
      </e-sheet>
    </e-sheets>
  </ejs-spreadsheet>
</template>

<script>
import { SpreadsheetComponent, ColumnsDirective, ColumnDirective, RangesDirective, RangeDirective, SheetsDirective, SheetDirective } from "@syncfusion/ej2-vue-spreadsheet";
import { priceData, budgetData } from './data.js';

export default {
  name: "App",
  components: {
    "ejs-spreadsheet": SpreadsheetComponent,
    "e-sheets": SheetsDirective,
    "e-sheet": SheetDirective,
    "e-ranges": RangesDirective,
    "e-range": RangeDirective,
    "e-columns": ColumnsDirective,
    "e-column": ColumnDirective
  },
  data: () => {
    return {
      dataSource1: priceData,
      dataSource2: budgetData,
    }
  },
  methods: {
    created: function () {
      let spreadsheet = this.$refs.spreadsheet;
      spreadsheet.cellFormat({ fontWeight: 'bold', textAlign: 'center' }, 'A1:H1');
      spreadsheet.cellFormat({ fontWeight: 'bold', textAlign: 'center' }, 'Budget Details!A1:D1');
    }
  }
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-grids/styles/tailwind3.css';
@import "../node_modules/@syncfusion/ej2-vue-spreadsheet/styles/tailwind3.css";
</style>

Limitations

  • Undo/redo for Replace All is not supported in this feature.

Note

You can refer to our Vue Spreadsheet Editor feature tour page for its groundbreaking feature representations.

Find and Replace in Angular Spreadsheet

14 Aug 20267 minutes to read

Find and Replace helps you to search for the target text and replace the found text with alternative text within the sheet or workbook. You can use the allowFindAndReplace property to enable or disable the Find and Replace functionality.

  • The default value for allowFindAndReplace property is true.

Find

Find feature is used to select the matched contents of a cell within the sheet or workbook. It is extremely useful when working with large set of data source.

User Interface:

Find can be done by any of the following ways:

  • Select the Search icon in the Ribbon toolbar or use Ctrl + F key to open the Find dialog.
  • Use find Next and find Previous buttons to search the given value in the workbook.
  • Select the option button in Find dialog to open the Find and Replace dialog. Then, select the below properties for enhanced searching.
  • Search within: To search the target in a sheet (default) or in an entire workbook.
  • Search by: It enhance the search, either By Rows (default), or By Columns.
  • Match case: To find the matched value with case sensitive.
  • Match exact cell contents: To find the exact matched cell value with entire match cases.
  • Using find() method to perform find operation.

Replace

Replace feature is used to change the find contents of a cell within sheet or workbook. Replace All is used to change all the matched contents of a cell within sheet or workbook.

User Interface:

Replace can be done by any of the following ways:

  • Use Ctrl + H key to open the Find and Replace dialog.
  • Use Replace button to change the found value in sheet or workbook.
  • Using Replace All button, all the matched criteria can be replaced with find value based on sheet or workbook.
  • Using replace() method to perform replace operation by passing the argument args.replaceby as replace.
  • Using replace() method to perform replace all operation by passing the argument args.replaceby as replaceall.

Go to

Go to feature is used to navigate to a specific cell address in the sheet or workbook.

User Interface:

  • Use Ctrl + G key to open the Go To dialog.
  • Use goTo() method to perform Go To operation.

In the following sample, searching can be done by following ways:

  • Select the Home tab in the Ribbon toolbar, and then select the Search icon.
  • Enter any value in the search textbox.
  • Select the next (or) previous button to find the entered value in the spreadsheet.
  • You can have more options to find values by selecting the more options in the search toolbar.
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { SpreadsheetAllModule } from '@syncfusion/ej2-angular-spreadsheet'



import { Component, ViewChild } from '@angular/core';
import { SpreadsheetComponent } from '@syncfusion/ej2-angular-spreadsheet';
import { enableRipple } from '@syncfusion/ej2-base';
import { dataSource1, dataSource2 } from './datasource';

enableRipple(true);

@Component({
imports: [
        
        SpreadsheetAllModule
    ],


standalone: true,
    selector: 'app-container',
    template: `<ejs-spreadsheet #spreadsheet (created)="created()" [showFormulaBar]="false">
                <e-sheets>
                  <e-sheet name="Price Details">
                    <e-ranges>
                      <e-range [dataSource]="priceData"></e-range>
                    </e-ranges>
                    <e-columns>
                      <e-column [width]=150></e-column>
                      <e-column [width]=110></e-column>
                      <e-column [width]=110></e-column>
                      <e-column [width]=85></e-column>
                      <e-column [width]=85></e-column>
                      <e-column [width]=85></e-column>
                      <e-column [width]=85></e-column>
                      <e-column [width]=85></e-column>
                    </e-columns>
                  </e-sheet>
                  <e-sheet name="Budget Details">
                    <e-ranges>
                      <e-range [dataSource]="budgetData"></e-range>
                    </e-ranges>
                    <e-columns>
                      <e-column [width]=100></e-column>
                      <e-column [width]=100></e-column>
                      <e-column [width]=100></e-column>
                      <e-column [width]=100></e-column>
                    </e-columns>
                  </e-sheet>
                </e-sheets>
              </ejs-spreadsheet>`
})
export class AppComponent {
    @ViewChild('spreadsheet')
    spreadsheetObj: SpreadsheetComponent | undefined;

    priceData: object[] = dataSource1;

    budgetData: object[] = dataSource2;

    created() {
        this.spreadsheetObj!.cellFormat({ fontWeight: 'bold', textAlign: 'center' }, 'A1:H1');
        this.spreadsheetObj!.cellFormat({ fontWeight: 'bold', textAlign: 'center' }, 'Budget Details!A1:D1');
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Limitations

  • Undo/redo for Replace All is not supported in this feature.

Note

You can refer to our Angular Spreadsheet Editor feature tour page for its groundbreaking feature representations. You can also explore our Angular Spreadsheet example to knows how to present and manipulate data.

Find and Replace in React Spreadsheet

14 Aug 202622 minutes to read

Find and Replace helps you to search for target text and replace the found text with alternative text within the sheet or workbook. You can use the allowFindAndReplace property to enable or disable Find and Replace functionality.

  • The default value for allowFindAndReplace property is true.

Find

Find is used to select the matched contents of a cell within a sheet or workbook. It is extremely useful when working with large data sets.

User Interface:

Find can be done by any of the following ways:

  • Select the Search icon in the Ribbon toolbar or using Ctrl + F key to open the Find dialog.
  • Using find Next and find Previous buttons to search the given value in workbook.
  • Select the option button in Find dialog to open the Find and Replace dialog then select the below properties for enhanced searching.
  • Search within: To search the target in a sheet (default) or in an entire workbook.
  • Search by: It enhances the search, either By Rows (default), or By Columns.
  • Match case: To find the matched value with case sensitivity.
  • Match exact cell contents: To find the exact matched cell value with entire match cases.
  • Using find method to perform find operation.

Replace

Replace is used to change the find contents of a cell within a sheet or workbook. Replace All is used to change all the matched contents of a cell within a sheet or workbook.

User Interface:

Replace can be done by any of the following ways:

  • Using Ctrl + H key to open the Find and Replace dialog.
  • Using Replace button to change the found value in sheet or workbook.
  • Using ReplaceAll button to change all the found value’s in sheet or workbook.
  • Using replace method to perform replace operation by passing the argument args.replaceby as replace.
  • Using replace method to perform replace all operation by passing the argument args.replaceby as replaceall.

Go to

Go to is used to navigate to a specific cell address in the sheet or workbook.

User Interface:

  • Using Ctrl + G key to open the Go To dialog.
  • Using goTo method to perform Go To operation.

In the following sample, searching can be done in the following ways:

  • Select the Home tab in the Ribbon toolbar, and then select the Search icon.
  • Enter any value in the search textbox.
  • Select the next (or previous) button to find the entered value in the spreadsheet.
  • You can have more options to find values by selecting the more options in the search toolbar.
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import { SpreadsheetComponent, SheetsDirective, SheetDirective, RangesDirective } from '@syncfusion/ej2-react-spreadsheet';
import { RangeDirective, ColumnsDirective, ColumnDirective } from '@syncfusion/ej2-react-spreadsheet';
import { budgetData, defaultData } from './datasource';

function App() {
    const spreadsheetRef = React.useRef(null);
    const onDataBound = () => {
        let spreadsheet = spreadsheetRef.current;
        if (spreadsheet) {
            spreadsheet.cellFormat({ fontWeight: 'bold', textAlign: 'center' }, 'A1:D1');
            spreadsheet.cellFormat({ fontWeight: 'bold' }, 'A11:D11');
        }
    };

    return (
        <SpreadsheetComponent allowFindAndReplace={true} ref={spreadsheetRef} dataBound={onDataBound}>
            <SheetsDirective>
                <SheetDirective name='Price Details'>
                    <RangesDirective>
                        <RangeDirective dataSource={defaultData}></RangeDirective>
                    </RangesDirective>
                    <ColumnsDirective>
                        <ColumnDirective width={130}></ColumnDirective>
                        <ColumnDirective width={92}></ColumnDirective>
                        <ColumnDirective width={96}></ColumnDirective>
                    </ColumnsDirective>
                </SheetDirective>
                <SheetDirective name='Budget'>
                    <RangesDirective>
                        <RangeDirective dataSource={budgetData}></RangeDirective>
                    </RangesDirective>
                    <ColumnsDirective>
                        <ColumnDirective width={130}></ColumnDirective>
                        <ColumnDirective width={92}></ColumnDirective>
                        <ColumnDirective width={96}></ColumnDirective>
                    </ColumnsDirective>
                </SheetDirective>
            </SheetsDirective>
        </SpreadsheetComponent>
    );
};
export default App;

const root = createRoot(document.getElementById('root'));
root.render(<App />);
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import { SpreadsheetComponent, SheetsDirective, SheetDirective, RangesDirective } from '@syncfusion/ej2-react-spreadsheet';
import { RangeDirective, ColumnsDirective, ColumnDirective } from '@syncfusion/ej2-react-spreadsheet';
import { budgetData, defaultData } from './datasource';

function App() {
    const spreadsheetRef = React.useRef<SpreadsheetComponent>(null);
    const onDataBound = (): void => {
        let spreadsheet = spreadsheetRef.current;
        if (spreadsheet) {
            spreadsheet.cellFormat({ fontWeight: 'bold', textAlign: 'center' }, 'A1:D1');
            spreadsheet.cellFormat({ fontWeight: 'bold' }, 'A11:D11');
        }
    };

    return (
        <SpreadsheetComponent allowFindAndReplace={true} ref={spreadsheetRef} dataBound={onDataBound}>
            <SheetsDirective>
                <SheetDirective name='Price Details'>
                    <RangesDirective>
                        <RangeDirective dataSource={defaultData}></RangeDirective>
                    </RangesDirective>
                    <ColumnsDirective>
                        <ColumnDirective width={130}></ColumnDirective>
                        <ColumnDirective width={92}></ColumnDirective>
                        <ColumnDirective width={96}></ColumnDirective>
                    </ColumnsDirective>
                </SheetDirective>
                <SheetDirective name='Budget'>
                    <RangesDirective>
                        <RangeDirective dataSource={budgetData}></RangeDirective>
                    </RangesDirective>
                    <ColumnsDirective>
                        <ColumnDirective width={130}></ColumnDirective>
                        <ColumnDirective width={92}></ColumnDirective>
                        <ColumnDirective width={96}></ColumnDirective>
                    </ColumnsDirective>
                </SheetDirective>
            </SheetsDirective>
        </SpreadsheetComponent>
    );
};
export default App;

const root = createRoot(document.getElementById('root')!);
root.render(<App />);
/**
 * Default data source
 */
export let defaultData = [
    { 'Item Name': 'Casual Shoes', Date: '02/14/2014', Time: '11:34:32 AM', Quantity: 10, Price: 20, Amount: 200, Discount: 1, Profit: 10 },
    { 'Item Name': 'Sports Shoes', Date: '06/11/2014', Time: '05:56:32 AM', Quantity: 20, Price: 30, Amount: 600, Discount: 5, Profit: 50 },
    { 'Item Name': 'Formal Shoes', Date: '07/27/2014', Time: '03:32:44 AM', Quantity: 20, Price: 15, Amount: 300, Discount: 7, Profit: 27 },
    { 'Item Name': 'Sandals & Floaters', Date: '11/21/2014', Time: '06:23:54 AM', Quantity: 15, Price: 20, Amount: 300, Discount: 11, Profit: 67 },
    { 'Item Name': 'Flip- Flops & Slippers', Date: '06/23/2014', Time: '12:43:59 AM', Quantity: 30, Price: 10, Amount: 300, Discount: 10, Profit: 70 },
    { 'Item Name': 'Sneakers', Date: '07/22/2014', Time: '10:55:53 AM', Quantity: 40, Price: 20, Amount: 800, Discount: 13, Profit: 66 },
    { 'Item Name': 'Running Shoes', Date: '02/04/2014', Time: '03:44:34 AM', Quantity: 20, Price: 10, Amount: 200, Discount: 3, Profit: 14 },
    { 'Item Name': 'Loafers', Date: '11/30/2014', Time: '03:12:52 AM', Quantity: 31, Price: 10, Amount: 310, Discount: 6, Profit: 29 },
    { 'Item Name': 'Cricket Shoes', Date: '07/09/2014', Time: '11:32:14 AM', Quantity: 41, Price: 30, Amount: 1210, Discount: 12, Profit: 166 },
    { 'Item Name': 'T-Shirts', Date: '10/31/2014', Time: '12:01:44 AM', Quantity: 50, Price: 10, Amount: 500, Discount: 9, Profit: 55 },
];
export let budgetData = [
    {
        "Expense Type": "Housing",
        "Projected Cost": 7000,
        "Actual Cost": 7500,
        "Difference": -500,
    },
    {
        "Expense Type": "Transportation",
        "Projected Cost": 500,
        "Actual Cost": 500,
        "Difference": 0,
    },
    {
        "Expense Type": "Insurance",
        "Projected Cost": 1000,
        "Actual Cost": 1000,
        "Difference": 0,
    },
    {
        "Expense Type": "Food",
        "Projected Cost": 2000,
        "Actual Cost": 1800,
        "Difference": 200,
    },
    {
        "Expense Type": "Pets",
        "Projected Cost": 300,
        "Actual Cost": 200,
        "Difference": 100,
    },
    {
        "Expense Type": "Personel Care",
        "Projected Cost": 500,
        "Actual Cost": 500,
        "Difference": 0,
    }, {
        "Expense Type": "Loan",
        "Projected Cost": 1000,
        "Actual Cost": 1000,
        "Difference": 0,
    }, {
        "Expense Type": "Tax",
        "Projected Cost": 200,
        "Actual Cost": 200,
        "Difference": 0,
    }, {
        "Expense Type": "Savings",
        "Projected Cost": 1000,
        "Actual Cost": 900,
        "Difference": 100,
    },
    {
        "Expense Type": "Total",
        "Projected Cost": 13500,
        "Actual Cost": 13600,
        "Difference": -100,
    }
];
/**
 * Default data source
 */
export let defaultData: Object[] = [
    { 'Item Name': 'Casual Shoes', Date: '02/14/2014', Time: '11:34:32 AM', Quantity: 10, Price: 20, Amount: 200, Discount: 1, Profit: 10 },
    { 'Item Name': 'Sports Shoes', Date: '06/11/2014', Time: '05:56:32 AM', Quantity: 20, Price: 30, Amount: 600, Discount: 5, Profit: 50 },
    { 'Item Name': 'Formal Shoes', Date: '07/27/2014', Time: '03:32:44 AM', Quantity: 20, Price: 15, Amount: 300, Discount: 7, Profit: 27 },
    { 'Item Name': 'Sandals & Floaters', Date: '11/21/2014', Time: '06:23:54 AM', Quantity: 15, Price: 20, Amount: 300, Discount: 11, Profit: 67 },
    { 'Item Name': 'Flip- Flops & Slippers', Date: '06/23/2014', Time: '12:43:59 AM', Quantity: 30, Price: 10, Amount: 300, Discount: 10, Profit: 70 },
    { 'Item Name': 'Sneakers', Date: '07/22/2014', Time: '10:55:53 AM', Quantity: 40, Price: 20, Amount: 800, Discount: 13, Profit: 66 },
    { 'Item Name': 'Running Shoes', Date: '02/04/2014', Time: '03:44:34 AM', Quantity: 20, Price: 10, Amount: 200, Discount: 3, Profit: 14 },
    { 'Item Name': 'Loafers', Date: '11/30/2014', Time: '03:12:52 AM', Quantity: 31, Price: 10, Amount: 310, Discount: 6, Profit: 29 },
    { 'Item Name': 'Cricket Shoes', Date: '07/09/2014', Time: '11:32:14 AM', Quantity: 41, Price: 30, Amount: 1210, Discount: 12, Profit: 166 },
    { 'Item Name': 'T-Shirts', Date: '10/31/2014', Time: '12:01:44 AM', Quantity: 50, Price: 10, Amount: 500, Discount: 9, Profit: 55 },
];

export let budgetData: Object[] = [
  {
    "Expense Type": "Housing",
    "Projected Cost": 7000,
    "Actual Cost": 7500,
    "Difference": -500,
  },
  {
    "Expense Type": "Transportation",
    "Projected Cost": 500,
    "Actual Cost": 500,
    "Difference": 0,
  },
  {
    "Expense Type": "Insurance",
    "Projected Cost": 1000,
    "Actual Cost": 1000,
    "Difference": 0,
  },
  {
    "Expense Type": "Food",
    "Projected Cost": 2000,
    "Actual Cost": 1800,
    "Difference": 200,
  },
  {
    "Expense Type": "Pets",
    "Projected Cost": 300,
    "Actual Cost": 200,
    "Difference": 100,
  },
  {
    "Expense Type": "Personel Care",
    "Projected Cost": 500,
    "Actual Cost": 500,
    "Difference": 0,
  },{
    "Expense Type": "Loan",
    "Projected Cost": 1000,
    "Actual Cost": 1000,
    "Difference": 0,
  },{
    "Expense Type": "Tax",
    "Projected Cost": 200,
    "Actual Cost": 200,
    "Difference": 0,
  },{
    "Expense Type": "Savings",
    "Projected Cost": 1000,
    "Actual Cost": 900,
    "Difference": 100,
  },
  {
    "Expense Type": "Total",
    "Projected Cost": 13500,
    "Actual Cost": 13600,
    "Difference": -100,
  }
]

Limitations

  • Undo/redo for Replace All is not supported in this feature.
  • Replace All functionality is not restricted to selected range of cells.
  • Find and Replace in Formulas, Notes not supported.

Note

You can refer to our React Spreadsheet Editor feature tour page for its groundbreaking feature representations.